ApiHiveReplicationResult (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHiveReplicationResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationResult

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHiveReplicationResult
      extends Object

  Detailed information about a Hive replication job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveReplicationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveReplicationResult` | `addErrorsItem(ApiHiveReplicationError errorsItem)`
    `ApiHiveReplicationResult` | `addHiveUDFsItem(ApiHiveUDF hiveUDFsItem)`
    `ApiHiveReplicationResult` | `addImpalaUDFsItem(ApiImpalaUDF impalaUDFsItem)`
    `ApiHiveReplicationResult` | `addTablesItem(ApiHiveTable tablesItem)`
    `ApiHiveReplicationResult` | `dataReplicationResult(ApiHdfsReplicationResult dataReplicationResult)`
    `ApiHiveReplicationResult` | `dbExpected(BigDecimal dbExpected)`
    `ApiHiveReplicationResult` | `dbProcessed(BigDecimal dbProcessed)`
    `ApiHiveReplicationResult` | `directoryForMetadata(String directoryForMetadata)`
    `ApiHiveReplicationResult` | `dryRun(Boolean dryRun)`
    `boolean` | `equals(Object o)`
    `ApiHiveReplicationResult` | `errorCount(BigDecimal errorCount)`
    `ApiHiveReplicationResult` | `errors(List<ApiHiveReplicationError> errors)`
    `ApiHiveReplicationResult` | `functionExpected(BigDecimal functionExpected)`
    `ApiHiveReplicationResult` | `functionProcessed(BigDecimal functionProcessed)`
    `ApiHdfsReplicationResult` | `getDataReplicationResult()` Get dataReplicationResult
    `BigDecimal` | `getDbExpected()` Number of Db's Expected.
    `BigDecimal` | `getDbProcessed()` Number of Db's Imported/Exported.
    `String` | `getDirectoryForMetadata()` Returns HDFS path of export file for Hive replication.
    `BigDecimal` | `getErrorCount()` Number of errors detected during replication job.
    `List<ApiHiveReplicationError>` | `getErrors()` List of errors encountered during replication.
    `BigDecimal` | `getFunctionExpected()` Number of Functions Expected.
    `BigDecimal` | `getFunctionProcessed()` Number of Functions Imported/Exported.
    `BigDecimal` | `getHiveUDFCount()` Number of hive UDFs that were successfully replicated.
    `List<ApiHiveUDF>` | `getHiveUDFs()` The list of Impala UDFs successfully replicated.
    `BigDecimal` | `getImpalaUDFCount()` Number of impala UDFs that were successfully replicated.
    `List<ApiImpalaUDF>` | `getImpalaUDFs()` The list of Impala UDFs successfully replicated.
    `BigDecimal` | `getIndexExpected()` Number of Indexes Expected.
    `BigDecimal` | `getIndexProcessed()` Number of Indexes Imported/Exported.
    `String` | `getLogPath()` Returns HDFS path of DistCp execution log files.
    `BigDecimal` | `getPartitionExpected()` Number of Partitions Expected.
    `BigDecimal` | `getPartitionProcessed()` Number of Partitions Imported/Exported.
    `String` | `getPhase()` Phase the replication is in.
    `String` | `getRunAsUser()` Name of the of proxy user, if any.
    `String` | `getRunOnSourceAsUser()` Name of the source proxy user, if any.
    `BigDecimal` | `getStatsExpected()` Number of Table and Partition Statistics Expected.
    `BigDecimal` | `getStatsProcessed()` Number of Table and Partitions Statistics Imported/Exported.
    `BigDecimal` | `getTableCount()` Number of tables that were successfully replicated.
    `BigDecimal` | `getTableExpected()` Number of Tables Expected.
    `BigDecimal` | `getTableProcessed()` Number of Tables Imported/Exported.
    `List<ApiHiveTable>` | `getTables()` The list of tables successfully replicated.
    `int` | `hashCode()`
    `ApiHiveReplicationResult` | `hiveUDFCount(BigDecimal hiveUDFCount)`
    `ApiHiveReplicationResult` | `hiveUDFs(List<ApiHiveUDF> hiveUDFs)`
    `ApiHiveReplicationResult` | `impalaUDFCount(BigDecimal impalaUDFCount)`
    `ApiHiveReplicationResult` | `impalaUDFs(List<ApiImpalaUDF> impalaUDFs)`
    `ApiHiveReplicationResult` | `indexExpected(BigDecimal indexExpected)`
    `ApiHiveReplicationResult` | `indexProcessed(BigDecimal indexProcessed)`
    `Boolean` | `isDryRun()` Whether this was a dry run.
    `Boolean` | `isStatsAvailable()` Whether stats are available to display or not.
    `ApiHiveReplicationResult` | `logPath(String logPath)`
    `ApiHiveReplicationResult` | `partitionExpected(BigDecimal partitionExpected)`
    `ApiHiveReplicationResult` | `partitionProcessed(BigDecimal partitionProcessed)`
    `ApiHiveReplicationResult` | `phase(String phase)`
    `ApiHiveReplicationResult` | `runAsUser(String runAsUser)`
    `ApiHiveReplicationResult` | `runOnSourceAsUser(String runOnSourceAsUser)`
    `void` | `setDataReplicationResult(ApiHdfsReplicationResult dataReplicationResult)`
    `void` | `setDbExpected(BigDecimal dbExpected)`
    `void` | `setDbProcessed(BigDecimal dbProcessed)`
    `void` | `setDirectoryForMetadata(String directoryForMetadata)`
    `void` | `setDryRun(Boolean dryRun)`
    `void` | `setErrorCount(BigDecimal errorCount)`
    `void` | `setErrors(List<ApiHiveReplicationError> errors)`
    `void` | `setFunctionExpected(BigDecimal functionExpected)`
    `void` | `setFunctionProcessed(BigDecimal functionProcessed)`
    `void` | `setHiveUDFCount(BigDecimal hiveUDFCount)`
    `void` | `setHiveUDFs(List<ApiHiveUDF> hiveUDFs)`
    `void` | `setImpalaUDFCount(BigDecimal impalaUDFCount)`
    `void` | `setImpalaUDFs(List<ApiImpalaUDF> impalaUDFs)`
    `void` | `setIndexExpected(BigDecimal indexExpected)`
    `void` | `setIndexProcessed(BigDecimal indexProcessed)`
    `void` | `setLogPath(String logPath)`
    `void` | `setPartitionExpected(BigDecimal partitionExpected)`
    `void` | `setPartitionProcessed(BigDecimal partitionProcessed)`
    `void` | `setPhase(String phase)`
    `void` | `setRunAsUser(String runAsUser)`
    `void` | `setRunOnSourceAsUser(String runOnSourceAsUser)`
    `void` | `setStatsAvailable(Boolean statsAvailable)`
    `void` | `setStatsExpected(BigDecimal statsExpected)`
    `void` | `setStatsProcessed(BigDecimal statsProcessed)`
    `void` | `setTableCount(BigDecimal tableCount)`
    `void` | `setTableExpected(BigDecimal tableExpected)`
    `void` | `setTableProcessed(BigDecimal tableProcessed)`
    `void` | `setTables(List<ApiHiveTable> tables)`
    `ApiHiveReplicationResult` | `statsAvailable(Boolean statsAvailable)`
    `ApiHiveReplicationResult` | `statsExpected(BigDecimal statsExpected)`
    `ApiHiveReplicationResult` | `statsProcessed(BigDecimal statsProcessed)`
    `ApiHiveReplicationResult` | `tableCount(BigDecimal tableCount)`
    `ApiHiveReplicationResult` | `tableExpected(BigDecimal tableExpected)`
    `ApiHiveReplicationResult` | `tableProcessed(BigDecimal tableProcessed)`
    `ApiHiveReplicationResult` | `tables(List<ApiHiveTable> tables)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveReplicationResult

          public ApiHiveReplicationResult()

  - ### Method Detail

    - #### phase

          public ApiHiveReplicationResult phase(String phase)

    - #### getPhase

          public String getPhase()

      Phase the replication is in. <p/> If the replication job is still active, this will contain a string describing the current phase. This will be one of: EXPORT, DATA or IMPORT, for, respectively, exporting the source metastore information, replicating table data (if configured), and importing metastore information in the target. <p/> This value will not be present if the replication is not active. <p/> Available since API v4.
      Returns:
        phase

    - #### setPhase

          public void setPhase(String phase)

    - #### tableCount

          public ApiHiveReplicationResult tableCount(BigDecimal tableCount)

    - #### getTableCount

          public BigDecimal getTableCount()

      Number of tables that were successfully replicated. Available since API v4.
      Returns:
        tableCount

    - #### setTableCount

          public void setTableCount(BigDecimal tableCount)

    - #### tables

          public ApiHiveReplicationResult tables(List<ApiHiveTable> tables)

    - #### addTablesItem

          public ApiHiveReplicationResult addTablesItem(ApiHiveTable tablesItem)

    - #### getTables

          public List<ApiHiveTable> getTables()

      The list of tables successfully replicated. <p/> Since API v4, this is only available in the full view.
      Returns:
        tables

    - #### setTables

          public void setTables(List<ApiHiveTable> tables)

    - #### impalaUDFCount

          public ApiHiveReplicationResult impalaUDFCount(BigDecimal impalaUDFCount)

    - #### getImpalaUDFCount

          public BigDecimal getImpalaUDFCount()

      Number of impala UDFs that were successfully replicated. Available since API v6.
      Returns:
        impalaUDFCount

    - #### setImpalaUDFCount

          public void setImpalaUDFCount(BigDecimal impalaUDFCount)

    - #### hiveUDFCount

          public ApiHiveReplicationResult hiveUDFCount(BigDecimal hiveUDFCount)

    - #### getHiveUDFCount

          public BigDecimal getHiveUDFCount()

      Number of hive UDFs that were successfully replicated. Available since API v14.
      Returns:
        hiveUDFCount

    - #### setHiveUDFCount

          public void setHiveUDFCount(BigDecimal hiveUDFCount)

    - #### impalaUDFs

          public ApiHiveReplicationResult impalaUDFs(List<ApiImpalaUDF> impalaUDFs)

    - #### addImpalaUDFsItem

          public ApiHiveReplicationResult addImpalaUDFsItem(ApiImpalaUDF impalaUDFsItem)

    - #### getImpalaUDFs

          public List<ApiImpalaUDF> getImpalaUDFs()

      The list of Impala UDFs successfully replicated. Available since API v6 in the full view.
      Returns:
        impalaUDFs

    - #### setImpalaUDFs

          public void setImpalaUDFs(List<ApiImpalaUDF> impalaUDFs)

    - #### hiveUDFs

          public ApiHiveReplicationResult hiveUDFs(List<ApiHiveUDF> hiveUDFs)

    - #### addHiveUDFsItem

          public ApiHiveReplicationResult addHiveUDFsItem(ApiHiveUDF hiveUDFsItem)

    - #### getHiveUDFs

          public List<ApiHiveUDF> getHiveUDFs()

      The list of Impala UDFs successfully replicated. Available since API v6 in the full view.
      Returns:
        hiveUDFs

    - #### setHiveUDFs

          public void setHiveUDFs(List<ApiHiveUDF> hiveUDFs)

    - #### errorCount

          public ApiHiveReplicationResult errorCount(BigDecimal errorCount)

    - #### getErrorCount

          public BigDecimal getErrorCount()

      Number of errors detected during replication job. Available since API v4.
      Returns:
        errorCount

    - #### setErrorCount

          public void setErrorCount(BigDecimal errorCount)

    - #### errors

          public ApiHiveReplicationResult errors(List<ApiHiveReplicationError> errors)

    - #### addErrorsItem

          public ApiHiveReplicationResult addErrorsItem(ApiHiveReplicationError errorsItem)

    - #### getErrors

          public List<ApiHiveReplicationError> getErrors()

      List of errors encountered during replication. <p/> Since API v4, this is only available in the full view.
      Returns:
        errors

    - #### setErrors

          public void setErrors(List<ApiHiveReplicationError> errors)

    - #### dataReplicationResult

          public ApiHiveReplicationResult dataReplicationResult(ApiHdfsReplicationResult dataReplicationResult)

    - #### getDataReplicationResult

          public ApiHdfsReplicationResult getDataReplicationResult()

      Get dataReplicationResult
      Returns:
        dataReplicationResult

    - #### setDataReplicationResult

          public void setDataReplicationResult(ApiHdfsReplicationResult dataReplicationResult)

    - #### dryRun

          public ApiHiveReplicationResult dryRun(Boolean dryRun)

    - #### isDryRun

          public Boolean isDryRun()

      Whether this was a dry run.
      Returns:
        dryRun

    - #### setDryRun

          public void setDryRun(Boolean dryRun)

    - #### runAsUser

          public ApiHiveReplicationResult runAsUser(String runAsUser)

    - #### getRunAsUser

          public String getRunAsUser()

      Name of the of proxy user, if any. Available since API v11.
      Returns:
        runAsUser

    - #### setRunAsUser

          public void setRunAsUser(String runAsUser)

    - #### runOnSourceAsUser

          public ApiHiveReplicationResult runOnSourceAsUser(String runOnSourceAsUser)

    - #### getRunOnSourceAsUser

          public String getRunOnSourceAsUser()

      Name of the source proxy user, if any. Available since API v18.
      Returns:
        runOnSourceAsUser

    - #### setRunOnSourceAsUser

          public void setRunOnSourceAsUser(String runOnSourceAsUser)

    - #### logPath

          public ApiHiveReplicationResult logPath(String logPath)

    - #### getLogPath

          public String getLogPath()

      Returns HDFS path of DistCp execution log files. Available since API v33.
      Returns:
        logPath

    - #### setLogPath

          public void setLogPath(String logPath)

    - #### directoryForMetadata

          public ApiHiveReplicationResult directoryForMetadata(String directoryForMetadata)

    - #### getDirectoryForMetadata

          public String getDirectoryForMetadata()

      Returns HDFS path of export file for Hive replication. Available since API v33.
      Returns:
        directoryForMetadata

    - #### setDirectoryForMetadata

          public void setDirectoryForMetadata(String directoryForMetadata)

    - #### statsAvailable

          public ApiHiveReplicationResult statsAvailable(Boolean statsAvailable)

    - #### isStatsAvailable

          public Boolean isStatsAvailable()

      Whether stats are available to display or not. Available since API v19.
      Returns:
        statsAvailable

    - #### setStatsAvailable

          public void setStatsAvailable(Boolean statsAvailable)

    - #### dbProcessed

          public ApiHiveReplicationResult dbProcessed(BigDecimal dbProcessed)

    - #### getDbProcessed

          public BigDecimal getDbProcessed()

      Number of Db's Imported/Exported. Available since API v19.
      Returns:
        dbProcessed

    - #### setDbProcessed

          public void setDbProcessed(BigDecimal dbProcessed)

    - #### tableProcessed

          public ApiHiveReplicationResult tableProcessed(BigDecimal tableProcessed)

    - #### getTableProcessed

          public BigDecimal getTableProcessed()

      Number of Tables Imported/Exported. Available since API v19.
      Returns:
        tableProcessed

    - #### setTableProcessed

          public void setTableProcessed(BigDecimal tableProcessed)

    - #### partitionProcessed

          public ApiHiveReplicationResult partitionProcessed(BigDecimal partitionProcessed)

    - #### getPartitionProcessed

          public BigDecimal getPartitionProcessed()

      Number of Partitions Imported/Exported. Available since API v19.
      Returns:
        partitionProcessed

    - #### setPartitionProcessed

          public void setPartitionProcessed(BigDecimal partitionProcessed)

    - #### functionProcessed

          public ApiHiveReplicationResult functionProcessed(BigDecimal functionProcessed)

    - #### getFunctionProcessed

          public BigDecimal getFunctionProcessed()

      Number of Functions Imported/Exported. Available since API v19.
      Returns:
        functionProcessed

    - #### setFunctionProcessed

          public void setFunctionProcessed(BigDecimal functionProcessed)

    - #### indexProcessed

          public ApiHiveReplicationResult indexProcessed(BigDecimal indexProcessed)

    - #### getIndexProcessed

          public BigDecimal getIndexProcessed()

      Number of Indexes Imported/Exported. Available since API v19.
      Returns:
        indexProcessed

    - #### setIndexProcessed

          public void setIndexProcessed(BigDecimal indexProcessed)

    - #### statsProcessed

          public ApiHiveReplicationResult statsProcessed(BigDecimal statsProcessed)

    - #### getStatsProcessed

          public BigDecimal getStatsProcessed()

      Number of Table and Partitions Statistics Imported/Exported. Available since API v19.
      Returns:
        statsProcessed

    - #### setStatsProcessed

          public void setStatsProcessed(BigDecimal statsProcessed)

    - #### dbExpected

          public ApiHiveReplicationResult dbExpected(BigDecimal dbExpected)

    - #### getDbExpected

          public BigDecimal getDbExpected()

      Number of Db's Expected. Available since API v19.
      Returns:
        dbExpected

    - #### setDbExpected

          public void setDbExpected(BigDecimal dbExpected)

    - #### tableExpected

          public ApiHiveReplicationResult tableExpected(BigDecimal tableExpected)

    - #### getTableExpected

          public BigDecimal getTableExpected()

      Number of Tables Expected. Available since API v19.
      Returns:
        tableExpected

    - #### setTableExpected

          public void setTableExpected(BigDecimal tableExpected)

    - #### partitionExpected

          public ApiHiveReplicationResult partitionExpected(BigDecimal partitionExpected)

    - #### getPartitionExpected

          public BigDecimal getPartitionExpected()

      Number of Partitions Expected. Available since API v19.
      Returns:
        partitionExpected

    - #### setPartitionExpected

          public void setPartitionExpected(BigDecimal partitionExpected)

    - #### functionExpected

          public ApiHiveReplicationResult functionExpected(BigDecimal functionExpected)

    - #### getFunctionExpected

          public BigDecimal getFunctionExpected()

      Number of Functions Expected. Available since API v19.
      Returns:
        functionExpected

    - #### setFunctionExpected

          public void setFunctionExpected(BigDecimal functionExpected)

    - #### indexExpected

          public ApiHiveReplicationResult indexExpected(BigDecimal indexExpected)

    - #### getIndexExpected

          public BigDecimal getIndexExpected()

      Number of Indexes Expected. Available since API v19.
      Returns:
        indexExpected

    - #### setIndexExpected

          public void setIndexExpected(BigDecimal indexExpected)

    - #### statsExpected

          public ApiHiveReplicationResult statsExpected(BigDecimal statsExpected)

    - #### getStatsExpected

          public BigDecimal getStatsExpected()

      Number of Table and Partition Statistics Expected. Available since API v19.
      Returns:
        statsExpected

    - #### setStatsExpected

          public void setStatsExpected(BigDecimal statsExpected)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.